/* SITE-WIDE STYLING 
/
/
/
*/

@import url('https://fonts.googleapis.com/css2?family=Major+Mono+Display&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Silkscreen:wght@400;700&family=Victor+Mono:ital,wght@0,100..700;1,100..700&display=swap');@import url('https://fonts.googleapis.com/css2?family=Major+Mono+Display&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Silkscreen:wght@400;700&display=swap');

/* Errors and messages
*/

span#message {
    font-size: 0.7rem;
    align-self: flex-start;
}

.warning, .warning:hover {
    background-color: red;
}

/* General
*/

body {
    background-color: #9ee157;
    font: 0.8rem 'Roboto Mono', monospace;
    margin: 0;
    height: 100vh;
}

a:link {
    color: rgb(5, 50, 251);
}

a:hover {
   color: rgb(239, 192, 255);
}

a:active {
    text-decoration: none;
    color: #9ee157;
}

a:visited {
    color: rgb(185, 105, 255);
}

h1 {
    font-size: 1.5rem;
    padding: 0 1rem;
    display: inline;
}

p {
    padding: 1rem;
}

sup {
    font-size: 0.5rem;
}

.container {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.flex-col {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}

.hidden {
    display: none;
}

.sticky-top {
	position: -webkit-sticky;
	position: sticky;
	align-self: stretch;
	top: 0;
	/* z-index: 1020; */
}

.sticky-bottom {
	position: -webkit-sticky;
	position: sticky;
	align-self: stretch;
	margin-top: auto;
	bottom: 0;
	/* z-index: 1020; */
}

/* CONTENT FORMATTING */

/* General
*/

.header {
    font-family: 'Bitcount Grid Double Ink', system-ui;
    font-style: normal;
    font-size: 2rem;
}

#welcome {
    font-size: 3rem;
    padding: 1rem 1rem;
}

/* Expanded post list 
*/

.content {
    line-height: 150%;
    letter-spacing: 0.1rem; 
}

.title {
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
}
.title a {
    text-decoration: none;
    cursor: hand;
    color: #000000;
}
.title a:hover {
    text-decoration: none;
    cursor: hand;
    color: #FFF;
}

.post-container {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    margin: 2vw 0;
    padding: 0 2rem;
}

.post-content {
    margin: 2vw 0 2vw;
    padding: 0.5rem;
}

.post-meta {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-between;
    padding: 0.2rem;
    margin: 1vw 0 1vw;
    width: 80%;
    border-bottom: 1px solid black;
}

.post-meta h1 {
    font-size: 3rem;
    margin: 0;
}

.post-meta h2 {
   font-size: 0.8rem;
}

.post-title {
    margin: 0;
}

/* Single post/page view
*/

#single-post-container {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    margin: 2vw 0;
    padding: 0 2rem;
}

#single-post-content {
    margin: 2vw 0 2vw;
    padding: 0.5rem;
}

#single-post-meta {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-between;
    padding: 0.2rem;
    margin: 1vw 0 1vw;
    width: 80%;
    border-bottom: 1px solid black;
}

#single-post-meta h1 {
    font-size: 3rem;
    margin: 0;
}

#single-post-meta h2 {
   font-size: 0.8rem;
}

#single-post-title {
    margin: 0;
}

#single-page-container {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    margin: 2vw 0;
    padding: 0 2rem;
}

#single-page-content {
    margin: 2vw 0 2vw;
    padding: 0.5rem;
}

#single-page-meta {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: flex-end;
    padding: 0.2rem;
    margin: 1vw 0 1vw;
    width: 80%;
}

#single-page-meta h1 {
    font-size: 3rem;
    margin: 0;
}

#single-page-meta h2 {
   font-size: 0.8rem;
}

#single-page-title {
    margin: 0;
    font-size: 3rem;
}

/* Post grid
*/

.post-grid {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
    width: 100%;
}

.post-grid ul {
    display: grid;
    grid-template: 1fr / 1fr;
    grid-auto-flow: row;
    list-style: none;
    align-items: center;
    justify-content: center;
    gap: 0;
    width: 100%;
    padding: 0;
    margin: 0;
}

.post-grid ul > li {
    grid-area: auto;
    background-color: rgb(221, 255, 187);
    padding: 0.5rem;
    margin: 0;
}

.post-grid ul > li:nth-child(even) {
 background-color: #92f422;
}

.post-grid-bottom-nav {
    display: flex;
    flex-flow: column wrap;
    align-items: stretch;
    justify-content: left;
    padding: 0.2rem 0.5rem;
    margin: 0.5rem 0;
    width: stretch; 
    border-top: 1px solid black;
    list-style-type: none;
}


.post-link {
    padding: 0;
}

a.post-link:link {
    color: #009423;
}

a.post-link:visited {
    color: #080808;
}

a.post-link:hover {
    color: yellowgreen;
}

a.post-link:active {
    color: yellow;
    text-decoration: none;
}

/* FORMS */

/*General
*/

textarea {
    width: 50vw;
    height: 40vw;
    font: 1rem 'Roboto Mono', monospace;
}

textarea,
input[type="text"],
input[type="password"], input[type="email"] {
    border-radius: 10px;
    margin-bottom: 1rem;
    border: 1px solid #000000;
    box-shadow: inset 0px 1px 4px #cbcbcb;
    -moz-box-shadow: inset 0px 1px 4px #cbcbcb;
    -webkit-box-shadow: inset 0px 1px 4px #cbcbcb;
    padding: 0.5rem;
    outline: 0 none;
}

button, input[type="button"], input[type="submit"], a.button {
    font: 0.5rem 'Silkscreen', monospace;
    letter-spacing: 0.05rem;
    background-color: #a600ff;
    color: #fff;
    border: 0px solid transparent;
    border-radius: 0.4rem;
    box-shadow: 1px 1px 5px #434343;
    padding: 0.2rem 0.5rem 0.2rem 0.5rem;
    margin: 0.2rem;
    min-height: 40px;
    min-width: 50px;
    text-decoration: none;
}

button:hover, input[type="button"]:hover, input[type="submit"]:hover, a.button:hover {
    background-color: rgb(196, 245, 189);
    color: black;
}

/* Edit post/page
*/

#edit-post-buttons {
   margin-bottom: 2vw;
}

.edit-post-buttons {
    grid-column: 2;
}

.edit-post-form-inputs {
    font: 1rem 'Roboto Mono', monospace;
}
.edit-post-form-select {
    width: 5rem;
    padding: 0.2rem 0.5rem;
    border-radius: 10px;
}

#edit-post-submit {
    width: 10rem;
}

#edit-single-post {
    display: grid;
    grid-auto-flow: row;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 2fr;
    align-items: center;
    justify-content: center;
    width: 80%;
    gap: 0.5rem 0;
}

/* Create new post/page 
*/

#create-post {
    margin: 0.2rem 0.2rem 2vw 2vw;
    padding: 0;
}

#new-post-container {
    position: absolute;
    top: 5vw;
    left: 10vw;
    z-index: 1022;
    background-color: lightgray;
    border: 1px solid black;
    size: 80%;
}

#new-post-container > textarea {
    width: 50vw;
    height: 40vw;
}

#new-post-form {
    display: grid;
    grid-auto-flow: row;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 2fr;
    align-items: center;
    justify-content: center;
    width: 80%;
    gap: 0.5rem 0;
}

#new-post-toggle {
    margin: 2rem 1rem;
}

/* Create user account/login
*/

#create-user-section {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}

#create-login-link-main {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}

#google-login-button {
    margin: 2vw 0;
}

#login-content {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}

#login-form {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}

#login-top {
    display: flex;
    flex-flow: row wrap;
}

#new-user-form {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}

#user-landing-container {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
}

.login input[type="text"], .login input[type="password"] {
   	font: large;
	font-weight: bold;
	margin-bottom: 1rem;
	border: 1px solid #b6b6b6;
	border-radius: 0.2rem;
    box-shadow: inset 0px 1px 4px #cbcbcb;
    -moz-box-shadow: inset 0px 1px 4px #cbcbcb;
    -webkit-box-shadow: inset 0px 1px 4px #cbcbcb;
	padding: 0.4rem;
	outline: 0 none;
}

/* NAVIGATION */

/*General
*/

.accordion {
    max-height: 0;
    transition: max-height 0.2s ease-out;
}
.active {
    background-color: #e3f5e2;
}

.dropdown {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    border: 0;
    border-radius: 0 0 0.5rem 0.5rem;
    margin: 0;
}

/* Admin nav
*/

#admin-nav, .admin-nav menu {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.admin-nav menu > li {
    margin: 0.2rem 0.5rem;
    padding: 0;
}

/* Nav buttons
*/

.admin-back-button {
    margin: 0.5rem 0 2vw 1rem;
}

.popover-top-buttons {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: flex-end;
    margin: 0;
    padding: 0;
}
.popover-top-buttons > svg {
    margin: 0;
    padding: 0;
}

/* Top navigation menu
*/

nav {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    width: 100%;
}

.navbar {
    background-color: #c9fd6e;
}

.navbar > form {
    display: inline-block !important;
}

#top-nav-accordion > svg {
    pointer-events: none;
}

.top-nav-accordion {
    cursor: pointer;
    background-color: transparent;
    box-shadow: none;
    transition-property: transform;
    transition-duration: 0.25s;
    transition-delay: 0;
    padding: 0;
    margin: 0.2rem;
}

.top-nav-accordion:focus, .top-nav-accordion:hover {
    background-color: transparent;
        /* transform: rotate(90deg); */
}

#top-nav-menu {
    position: relative;
}

#top-nav-menu-dropdown {
    position: absolute;
    z-index: 1021;
    top: 3.5rem;
    right: 0;
    min-width: 160px;
    background-color: #9ee157;
}

.top-nav-menu-list, .top-nav-menu-item {
    padding: 0.5rem;
    list-style-type: none;
}

.top-nav-menu-item-active {
    background-color:#92f422;
}

.top-nav-user-menu {
    padding: 0 0.02rem 0 0.02rem;
}